# Create wallets

## Generate an EOA wallet&#x20;

EOA wallets are generated on-device at device + application level and automatically backed up to the user's cloud account.

```javascript
import { createAccount } from '@rly-network/mobile-sdk';

//create an account
const newAccount = await createAccount();
```

## Get the public address

```javascript
import { getAccount } from '@rly-network/mobile-sdk';

// get current user account address
const account = await getAccount();
```

{% hint style="info" %}
EOA wallets share the same address for both Amoy and Mainnet Polygon.&#x20;
{% endhint %}

## Get the seed phrase

Display the seed phrase to enable users to export their EOA wallet.&#x20;

```javascript
import { getAccountPhrase } from '@rly-network/mobile-sdk';

const mnemonic = await getAccountPhrase();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rallyprotocol.com/react-native-expo/embedded-wallets/create-wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
